f = @(t,y)[(2.3e8)- 2.89e13*y(1) + ((1/0.3)-1)*3.73e15*y(2) + 2.6e6*y(3)-(1.66*y(1)); 2.89e13*y(1) - ((3.73e15)/0.3)*y(2); 3.73e15*y(2) - ((2.6e6)+ 3.73e15)*y(3); 10*6e8*y(2)*(25/(52000*25)); 3.2246E16*(y(4)/(y(4)+ 69))- 16.6*y(5)- y(5)*y(6)/80 ; 5.7885E7 -  1.66*y(6)- y(5)*y(6)/50 ];
[t,ya]= ode15s(f,[0 20],[0 0 0 0 0 0]);
plot(t,ya(:,1),'b','LineWidth',1)
hold on
plot(t,ya(:,2),'k','LineWidth',1)
plot(t,ya(:,3),'g','LineWidth',1)
plot(t,ya(:,4),'r','LineWidth',1)
plot(t,ya(:,5),'c','LineWidth',1)
plot(t,ya(:,6),'m','LineWidth',1)
title('Kill Switch: Biosafety')
xlabel('Time(day)')
ylabel('Concentration(nM)')
legend({' Dark state',' excited state',' light-induced signalling state','Sig B',' Bovine DNAse',' mf-Lon'},'Location','northeast')
hold off